Subject: [bug#64700] [PATCH] gnu: Add python-core-sr-ht.

From: Hilton Chain <[email-masked]>
Date: Wed, 19 Jul 2023 15:07:35 +0800

Hi Ricardo!

On Tue, 18 Jul 2023 19:35:16 +0800,
Ricardo Wurmus wrote:
>
> * gnu/packages/sourcehut.scm: New file.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.
> ---

Good to know you are packaging sourcehut!

bootstrap is used as a git submodule in "srht/scss/bootstrap" and
would be intalled to the output, so I think it needs to be copied
there.   And I have an origin definition for the version used by
core.sr.ht:
--8<---------------cut here---------------start------------->8---
(let ((name "bootstrap")
      (version "4.1.1"))
  (origin
    (method git-fetch)
    (uri (git-reference
          (url "https://github.com/twbs/bootstrap.git")
          (commit (string-append "v" version))))
    (file-name (git-file-name name version))
    (sha256
     (base32
      "0gl7wd58yhdvwgbc2syd7ci2lz7alaaggnfjzdf9gngmva5gjf6l"))))
--8<---------------cut here---------------end--------------->8---

Then for the package names, how about srht-[...] or sourcehut-[...]?
Just a suggestion, I don't have any good reasons. :-)

Thanks